CTRL_ALT_DEL(9)

NAME
ctrl_alt_del - routes the keyboard interrupt ctrl-alt-del key sequence

SYNOPSIS
linux/kernel/sys.c void ctrl_alt_del(void);

DESCRIPTION
This simple routine tests the variable C_A_D for a true/false condition. If it is true then a hard reset is done by the system. Otherwise, a signal SIGINT is sent to the process with the process ID 1, usually a program called init.

WARNINGS
This routine is in interrupt mode. It can not sync() your system. Data loss may occur. It is recommended that you configure your system to send a signal to init, where you can control the shutdown.

NOTES
The default of this function is to do hard resets immediately.

AUTHOR
Linus Torvalds

SEE ALSO
reboot(2), reset_hard_now(9), sync(2)